Skip to main content
POST
/
register-consent
Register Consent
curl --request POST \
  --url https://api.central.consent/register-consent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "duid": "duid_691df0c788ca043403b7fa90",
  "move-in-date": "2022-06-30",
  "evidence": {
    "consent-date": "2023-11-07T05:31:56Z",
    "user-defined-reference": "<string>",
    "terms-url": "https://datauser.com/customer-terms-and-conditions-v2.html",
    "consent-expiry": "2027-11-10T17:07:01.580Z",
    "mpxn": "1234567890123",
    "method": "Credit Card Verification",
    "address": {
      "addressLine1": "221B Baker Street",
      "townCity": "London",
      "postcode": "NW1 6XE",
      "addressLine2": "Marylebone",
      "county": "Greater London"
    }
  },
  "data-type": [
    "HH-CONSUMPTION"
  ]
}
'
{
  "response": {
    "resource": "/<request-end-point-path>",
    "response-time-stamp": "2027-11-10T17:07:01.580Z",
    "transaction-id": "tid_691df0c788ca043403b7fa90"
  },
  "consent-token": {
    "key": "ck_691df0c788ca043403b7fa90",
    "consent-expiry": "2027-11-10T17:07:01.580Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer tokens are available via the /login endpoint

Query Parameters

ck
string

Include if updating an existing consent record Unique token that relates to an individual consent registration

Example:

"ck_691df0c788ca043403b7fa90"

Body

application/json

Provides details associated with the consent record.

duid
string
required

Id that represents the Data User (organisation that has gained consent)

Example:

"duid_691df0c788ca043403b7fa90"

move-in-date
string<date>
required

Date from which the Customer started to occupy the property and therefore from what point should the data be available from (inclusive)

Example:

"2022-06-30"

evidence
object
required

information required to demonstrate consent was gained appropriately.

data-type
enum<string>[]
required

Types of data that consent has been registered for

Available options:
HH-CONSUMPTION,
HH-EXPORT,
MTH-CONSUMPTION,
MTH-EXPORT,
ANNUAL-CONSUMPTION,
ANNUAL-EXPORT,
TARIFF-IMPORT,
TARIFF-EXPORT

Response

Consent registered success.

response
object
required

Metadata about the response.

Fields associated with the consent that will be used by the Data User to access the Customers data

Last modified on March 9, 2026